> ## Documentation Index
> Fetch the complete documentation index at: https://camelai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete thread

> Delete a thread and all its messages.



## OpenAPI

````yaml https://api.camelai.com/api/schema/ delete /api/v1/threads/{id}/
openapi: 3.0.3
info:
  title: camelAI API
  version: 1.0.0 (v1)
  description: API for camelAI - AI-powered data analytics platform
servers:
  - url: https://api.camelai.com
    description: camelAI API server
security: []
paths:
  /api/v1/threads/{id}/:
    delete:
      tags:
        - threads
      summary: Delete thread
      description: Delete a thread and all its messages.
      operationId: threads_destroy
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '204':
          description: No response body
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThreadNotFoundResponseDelete'
          description: ''
      security:
        - ApiKeyAuth: []
        - {}
components:
  schemas:
    ThreadNotFoundResponseDelete:
      type: object
      properties:
        detail:
          type: string
          description: Not found error message
      required:
        - detail
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer scheme

````